{config, ...}: let
  username = config.horseman.username;
in {
  imports = [
    ../../modules
  ];

  config.horseman = {
    users.default.enable = true;

    containers = {
      enable = true;
      backupDir = "/home/${username}/backups";
      interface = "enp2s0";

      nginx.enable = true;
      vaultwarden.enable = true;
      forgejo.enable = true;
    };

    base = {
      nix.enable = true;
      locale.enable = true;
      secrets.enable = true;
    };

    boot = {
      loader.grub.enable = true;
    };

    network = {
      ssh.enable = true;
      syncthing.enable = true;
      tailscale.enable = true;
    };

    apps = {
      terminal = {
        enable = true;
        zsh.enable = true;
      };
      server.enable = true;
    };

    timers = {
      backup.enable = true;
      rooms.enable = true;
    };
  };
}
